import { registerPlugin } from "@capacitor/core";

export interface NativePlugin {
  openContactCenter(): Promise<{response:string}>;
  openCall(): Promise<{response:string}>;
  openStreaming(): Promise<{response:string}>;
  openChat(): Promise<{response:string}>;
  openContactCenterChat({category}:any): Promise<{response:string}>;
  openContactCenterAudioCall({category}:any): Promise<{response:string}>;
  openContactCenterVideoCall({category}:any): Promise<{response:string}>;
  openWhiteboard(): Promise<{response:string}>;
  openSetOfficer(): Promise<{response:string}>;
  adminSignIn({pwd}:any): Promise<{response:string}>;
  openChatGPT(): Promise<{response:string}>;
  openSettings(): Promise<{}>;
  openProfile(): Promise<{}>;
}

const native_plugin = registerPlugin<NativePlugin>("NativeCap");

export default native_plugin;